std::regex_traits::length(3)

NAME
std::regex_traits::length - std::regex_traits::length

Synopsis
   static std::size_t length(const char_type* p);
   Calculates the length of a null-terminated character sequence, that is, the smallest
   i such that p[i]==0.
   Standard library specializations of std::regex_traits execute
   std::char_traits<CharT>::length(p);

Parameters
   p - pointer to the first element of the null-terminated character sequence

Return value
   The length of the null-terminated character string.

Example
// Run this code
 #include <regex>
 #include <iostream>
 int main()
 {
     std::cout << std::regex_traits<char>::length(u8"Кошка") << '\n'
               << std::regex_traits<wchar_t>::length(L"Кошка") << '\n';
 }

Output:
 10
 5